CreateVmFromCdpBackup
CreateVmFromCdpBackup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the resource.
groupIdlongRequiredThe ID of the recovery points.
cdpTaskUuidStringRequiredThe UUID of the CDP task.
instanceOfferingUuidStringRequiredThe UUID of the instance offering.
defaultL3NetworkUuidStringOptional. The UUID of the default L3 network.
l3NetworkUuidsListRequiredThe UUID list of L3 network.
typeStringOptional. The type of the VM.
zoneUuidStringOptional. The UUID of the zone.
clusterUuidStringOptional. The UUID of the cluster.
hostUuidStringOptional. The UUID of the host.
primaryStorageUuidForRootVolumeStringOptional. The UUID of the primary storage for root volume.
primaryStorageUuidForDataVolumeStringOptional. The UUID of the primary storage for data volume.
recoverBandwidthlongOptional. The recover bandwidth.
descriptionStringOptional. Optional. The detailed description of the resource.
rootVolumeSystemTagsListOptional. The system tags of the root volume.
dataVolumeSystemTagsListOptional. The system tags of the data volume.
resourceUuidStringOptional. The UUID of the resource.
tagUuidsListOptional. The UUID list of the tags.
systemTagsListOptional. The system tags of the VM.
userTagsListOptional. The user tags of the VM.
Responses
Endpoint
PUT/zstack/v1/cdp-backups/actions
/zstack/v1/cdp-backups/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/cdp-backups/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","groupId":1,"cdpTaskUuid":"<cdpTaskUuid>","instanceOfferingUuid":"<instanceOfferingUuid>","defaultL3NetworkUuid":"<defaultL3NetworkUuid>","l3NetworkUuids":["<l3NetworkUuids>"],"type":"<type>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","hostUuid":"<hostUuid>","primaryStorageUuidForRootVolume":"<primaryStorageUuidForRootVolume>","primaryStorageUuidForDataVolume":"<primaryStorageUuidForDataVolume>","recoverBandwidth":1,"description":"<description>","rootVolumeSystemTags":["<rootVolumeSystemTags>"],"dataVolumeSystemTags":["<dataVolumeSystemTags>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "ecadf3712d373abebb48671015a49e2c", "name": "Test-VM", "description": "web server VM", "zoneUuid": "5274961ea09834f6bdc757ec9b1d205f", "clusterUuid": "6c00cd0c676e3b5397f9e635a1357336", "imageUuid": "e9316bbaf94a37dea9a41b8a42e30b3d", "hostUuid": "7f2a8fe14f863e43b95b4e204d2b6073", "lastHostUuid": "804827a4304e309a85efb214e32edd80", "instanceOfferingUuid": "7f8ece5779ef31bab691585ffc693b91", "rootVolumeUuid": "a2b37cf28a9834da826e14e5fd7a97c6", "platform": "Linux", "defaultL3NetworkUuid": "68bca6897c4f300881985f028e61ca92", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "645496bd84373644a52a1e62229cbb07", "vmInstanceUuid": "ecadf3712d373abebb48671015a49e2c", "usedIpUuid": "b89e21d52dbb3037a3ee585b253396f2", "l3NetworkUuid": "68bca6897c4f300881985f028e61ca92", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "a2b37cf28a9834da826e14e5fd7a97c6", "name": "Root-Volume-For-VM-ecadf3712d373abebb48671015a49e2c", "primaryStorageUuid": "3626202657933f2cb13df025773d9aa9", "vmInstanceUuid": "ecadf3712d373abebb48671015a49e2c", "rootImageUuid": "e9316bbaf94a37dea9a41b8a42e30b3d", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-a2b37cf28a9834da826e14e5fd7a97c6/a2b37cf28a9834da826e14e5fd7a97c6.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }Change History
This API has no change history records yet.
